Skip to navigation

Get a Source

Retrieves a Source by its unique identifier.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The unique identifier for the source.

Response headers

X-Request-IdstringOptional
The unique identifier for the request

Response

The source.
idstringRead-only
The unique identifier for the source.
namestring

The human-readable name of the source.

scopeenumRead-only

Who owns this source.

  • canonical — maintained by Chariot and shared across every organization. Read-only.
  • custom — created by an organization for its own use, and mutable by that organization.
Allowed values:
created_atdatetimeRead-only
When this source was added to the directory.
updated_atdatetimeRead-only
When this source was last modified.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error